Bug 289321 - sip: sipconfig.py includes wrong py_lib_dir (on 64bit archs)
sip: sipconfig.py includes wrong py_lib_dir (on 64bit archs)
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: sip (Show other bugs)
7
All Linux
medium Severity low
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
: Patch
Depends On:
Blocks: PyQt4
  Show dependency treegraph
 
Reported: 2007-09-13 09:59 EDT by Rex Dieter
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version: 4.6-2.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-03 17:08:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
use get_python_lib instead of hardcoded values (952 bytes, patch)
2007-09-28 10:51 EDT, Rex Dieter
no flags Details | Diff

  None (edit)
Description Rex Dieter 2007-09-13 09:59:50 EDT
Testing with sip-4.6-1.fc7.x86_64

On x86_64, 
/usr/lib64/python2.5/site-packages/sipconfig.py
contains:
    'py_lib_dir':       '/usr/lib/python2.5/config',
which should be:
    'py_lib_dir':       '/usr/lib64/python2.5/config',

Which is causing spurious failures building parts of PyQt4 (see bug #190189) on
x86_64.
Comment 1 Rex Dieter 2007-09-13 10:11:35 EDT
Than, I can help fix this, when/if you approve my request for comaintainership:
https://admin.fedoraproject.org/pkgdb/packages/name/sip
(and: https://admin.fedoraproject.org/pkgdb/packages/name/PyQt)
Comment 2 Rex Dieter 2007-09-26 17:44:12 EDT
Than, any comment/movement here imminent?  I'd really like to see PyQt4 in f8.
Comment 3 Rex Dieter 2007-09-26 17:45:27 EDT
Besides, a new sip/PyQt4 is coming within the next day or 2, would be nice to
update these 2 together (as well an integrate/combine PyQt, PyQt-qscintilla
finally).
Comment 4 Rex Dieter 2007-09-28 10:51:46 EDT
Created attachment 210561 [details]
use get_python_lib instead of hardcoded values

could be extended to use get_python_inc too.
Comment 5 Mamoru TASAKA 2007-09-30 06:19:39 EDT
Well, a package I try to review (bug 240373) also uses PyQt
so I want to have this bug fixed as soon as possible.
Comment 6 Ngo Than 2007-10-01 07:14:50 EDT
it's fixed in rawhide and F7-update7. It's available for F7 update soon.
Thanks for the patch.
Comment 7 Fedora Update System 2007-10-03 17:08:27 EDT
sip-4.6-2.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.